import { Elements } from './util/dom-helpers';
import { IEnjoyHintOptions, ITutorialStep } from './lib.interfaces';
import { Overlay } from '@angular/cdk/overlay';
import * as i0 from "@angular/core";
export declare class EnjoyHintService {
    private readonly overlay;
    private readonly elements;
    private readonly originalOverflow;
    constructor(overlay: Overlay, elements: Elements, originalOverflow: string);
    runTutorial(steps: ITutorialStep[], options?: Partial<IEnjoyHintOptions>): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<EnjoyHintService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<EnjoyHintService>;
}
